curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/identities/{identityId}/compliance-checks/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/identities/{identityId}/compliance-checks/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/identities/{identityId}/compliance-checks/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {},
"businessIdentityId": "<string>"
}Create a new Compliance Check
Create a new Compliance Check using the data provided in the request body.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Source account whose owning business identity scopes the compliance check (providers with per-business-identity credentials). Pass the same account used as sourceAccountId on deposits.
Response
Successfully created Compliance Check data.
Bridge_base, Bridge_sepa, Koywe_base, Kotanipay_base, Bitso_base, Yellowcard_base, TraceFinance_base, HoneyCoin_base, BlindPay_base, BlindPay_enhanced, Finity_base, Ares_base, Hercle_base, Infinia_base, Walapay_base, Yativo_base, Capa_base, Bivo_base, Cobre_base, Brale_base, Juicyway_base, Onmeta_base, Onmeta_ind, Alfred_base, Demo_base, CrissCross_base, TripleA_base Deprecated. Use type instead. This field is kept for backward compatibility and will be removed in future versions.
compliance-fee5483c, compliance-3d0947c0, compliance-9f5059c4, compliance-4a8e9f3b, compliance-7b9d2c6a, compliance-de8e1920, compliance-t7f4b831, compliance-h9x7p245, compliance-432704, compliance-15bc9ec4, compliance-a96ad46a, compliance-4c347d0a, compliance-ff6f0b66, compliance-bbd0abdf, compliance-d4a0bea2, compliance-ce1ef04d, compliance-191335b3, compliance-f47aa1e0, compliance-b92f0ad3, compliance-f44d3582, compliance-5402f18a, compliance-dbd2a55c, compliance-2c7e1a9d, compliance-cc0a4f2b, compliance-3a7e9d1f Deprecated. Use status instead. This field is kept for backward compatibility and will be removed in future versions.
NotStarted, Started, Incomplete, AwaitingUbo, UnderReview, Rejected, PreApproved, Approved, Cancelled Business identity whose provider credentials performed the screening. Null for organization-scoped checks.
Was this page helpful?